{% load i18n %}
<div class="card mb-3">
  <div class="card-header">
    {#     Blocks section title and "Add block" dropdown#}
    <h3 class="mt-3 d-flex justify-content-between">
      <span>{% translate 'Blocks' %}</span>
    </h3>
    <div class="card-actions">
      <div class="btn-toolbar">
        <div class="btn-group me-2">
          <div class="dropdown">

            <button class="btn btn-outline-secondary dropdown-toggle"
                    type="button"
                    id="dropdownAvailableBlocks"
                    data-bs-toggle="dropdown"
                    aria-expanded="false">
              <i class="bi bi-plus-lg"></i>
              {% translate 'Add block' %}
            </button>

            <ul class="dropdown-menu" aria-labelledby="dropdownAvailableBlocks">
              {% for block in available_blocks %}
                <li>
                  <button class="dropdown-item" hx-get="{% url 'homepage:block-add' homepage_pk=homepage.pk block_type=block.slug %}" hx-target="#dialog">
                    {{ block.title }}
                  </button>
                </li>
              {% endfor %}
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>

  {% if homepage.blocks.all %}
    <div class="card-body">
      <div id="list-group-blocks" class="list-group">
        {% for object in object_list %}
          <div class="list-group-item">
            <div class="row align-items-center">
              <div class="col-auto"><span class="handle"><i class="bi bi-three-dots-vertical"></i></span></div>
              {#    <div class="col-auto">#}
              {#      <a href="#">#}
              {#        <span class="avatar" style="background-image: url(...)"></span>#}
              {#      </a>#}
              {#    </div>#}
              <div class="col text-truncate">
                <input type="hidden" value="{{ object.weight }}">
                <a href="#" class="text-reset d-block">{{ object.verbose_name }}</a>
                <div class="d-block text-muted text-truncate mt-n1">{{ object.title }}</div>
              </div>
              <div class="col-auto">
                <label for="checkbox-visible-{{ object.pk }}" class="form-check form-switch">
                  <input id="checkbox-visible-{{ object.pk }}" class="form-check-input" type="checkbox"
                         {% if object.visible %}checked{% endif %}>
                  <span class="form-check-label">{% translate 'visible' %}</span>
                </label>
              </div>
              <div class="col-auto">
                <a href="#" hx-get="{% url 'block:update' pk=object.pk %}" class="list-group-item-actions">
                  <i class="bi bi-pencil"></i>
                </a>
                <a href="#"
                   class="list-group-item-actions"
                   hx-post="{% url 'block:delete' pk=object.pk %}"
                   hx-target="#list-group-blocks"
                >
                  <i class="bi bi-trash"></i>
                </a>
              </div>
            </div>
          </div>
        {% endfor %}
      </div>
    </div>
  {% endif %}
</div>



